%define major   3
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           glfw
Version:        3.3.8
Release:        %mkrel 1
Summary:        A cross-platform multimedia library
Group:          System/Libraries
License:        zlib
URL:            https://www.glfw.org
Source0:        https://downloads.sf.net/glfw/%{name}-%{version}.tar.xz

BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcursor)
BuildRequires:  pkgconfig(xi)
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(xxf86vm)

%description
GLFW is a free, open source, multi-platform library for OpenGL application
development that provides a powerful API for handling operating system specific
tasks such as opening an OpenGL window, reading keyboard, mouse, joystick and
time input, creating threads, and more.

#----------------------------------------------------------------------

%package -n     %{libname}
Summary:        A cross-platform multimedia library
Group:          System/Libraries

%description -n %{libname}
GLFW is a free, open source, multi-platform library for OpenGL application
development that provides a powerful API for handling operating system specific
tasks such as opening an OpenGL window, reading keyboard, mouse, joystick and
time input, creating threads, and more.

%files -n       %{libname}
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*

#----------------------------------------------------------------------

%package -n     %{devname}
Summary:        Development files for GLFW
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
The glfw-devel package contains header files for developing glfw
applications.

%files -n       %{devname}
%{_includedir}/GLFW/
%{_libdir}/cmake/%{name}%{major}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}%{major}.pc

#----------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake -DGLFW_BUILD_EXAMPLES:BOOL=OFF \
       -DGLFW_BUILD_TESTS:BOOL=OFF
%cmake_build

%install
%cmake_install


%changelog
* Fri Dec 01 2023 tex - 3.3.8-1pclos2023
- new version
